Subject: Re: [bug#26684] let nginx configs reference the store

From: Christopher Baines <[email-masked]>
Date: Thu, 17 Aug 2017 18:35:36 +0100

On Wed, 2 Aug 2017 16:23:03 +0100
Christopher Baines <[email-masked]> wrote:

> On Wed, 02 Aug 2017 11:31:41 +0200
> [email-masked] (Ludovic Courtès) wrote:
> 
> > Hello,
> > 
> > Christopher Baines <[email-masked]> skribis:
> >   
> > > On Mon, 24 Jul 2017 15:01:42 +0200
> > > [email-masked] (Ludovic Courtès) wrote:
> > >    
> > >> Hello!
> > >> 
> > >> Christopher, Clément: I wanted to apply this patch from Andy but
> > >> it conflicts with recent changes, presumably commit cb341293fa by
> > >> Chris. Could you take a look and apply it, if possible?
> > >> 
> > >>   https://bugs.gnu.org/26684    
> > >
> > > Hey,
> > >
> > > So I've had a look at this, it looks like its just the changes
> > > that are causing the conflict relate to checking that the files
> > > related to SSL exist.
> > >
> > > I've adjusted the patch so that it applies, and included my
> > > translation of the changes. I haven't done much testing yet, but
> > > the patch, and the diff with the previous patch is attached.    
> > 
> > As long as “make check-system TESTS=nginx” doesn’t catch obvious
> > errors, it’s probably fine.
> > 
> > Thank you!  
> 
> Yep, that test passes fine.
> 
> I've send a couple of updated patches, the first is just the one from
> Andy, modified to apply, with the additional validation being re-added
> in the second, as I didn't like the idea of just modifying the patch
> from Andy with my own additions.
> 
> I've also improved the error message since the first patch, so it will
> say something like:
> 
>   ERROR: ssl-certificate in the nginx configuration for the server
> with name "(default)" does not exist

I've got some more improvements I'd like to make to the NGinx service,
so to keep things progressing on this, I've merged my adjusted version
of the change from Andy, and my additional patch that adds back in the
validation.